using System;
using UnityEngine;

// A simple struct representing a rectangular box consisting of four edges
[Serializable]
public struct Box
{
    public Vector3 bottomLeft;
    public Vector3 topRight;
    public Vector3 bottomRight;
    public Vector3 topLeft;

    public Box(Vector3 bottomLeft, Vector3 topRight)
    {
        this.bottomLeft = bottomLeft;
        this.topRight = topRight;
        this.bottomRight = new Vector3(topRight.x, bottomLeft.y, bottomLeft.z);
        this.topLeft = new Vector3(bottomLeft.x, topRight.y, topRight.z);
    }

    public override string ToString() => $"Box{{ Bottom Left: {bottomLeft} Bottom Right: {bottomRight} Top Right: {topRight} Top Left: {topLeft} }}";
}
